version: '2'
services:
  weka-metrics-collector:
    environment:
      - "WEKA_USERNAME={{ lookup('hashi_vault', 'secret=secret/weka2').username }}"
      - "WEKA_PASSWORD={{ lookup('hashi_vault', 'secret=secret/weka2').password }}"
    image: "{{ weka_stats_docker_image }}"
    volumes:
      - /usr/bin/weka:/usr/bin/weka:ro
      - /opt/weka:/opt/weka:ro
      - "{{ weka_mount_point }}:{{ weka_mount_point }}"
      - /home/zoox/.weka:/root/.weka
    network_mode: host
    restart: unless-stopped
    command: --port=8000
